# \Thelia\Core\EventCustomRefEvent

## Summary

Methods
Properties
Constants
__construct()
hasRef()
getRef()
setRef()
$customer
No constants found
No protected methods found
$ref
N/A
No private methods found
No private properties found
N/A

File
  Core/Event/CustomRefEvent.php
Package
  \Default
Class hierarchy
  \Symfony\Component\EventDispatcher\Event
  \Thelia\Core\Event\CustomRefEvent

## Tags

None found

## Properties

### $customer

    $customer

#

## Tags

None found

### $ref

    $ref

#

## Tags

None found

## Methods

### __construct()

    __construct(\Thelia\Model\Customer $customer)

#### Parameters

\Thelia\Model\Customer | $customer |

#

## Tags

None found

### hasRef()

    hasRef()

#

## Tags

None found

### getRef()

    getRef()

#

## Tags

None found

### setRef()

    setRef( $ref)

#### Parameters

| $ref |

#

## Tags

None found

### CustomRefEvent.php